
-- data.raw.technology["nuclear-power"].effects[4] = {type = "unlock-recipe", recipe = "steam-turbine"}
data.raw.technology["nuclear-power"].effects[4] = nil -- deletes steam turbine from nuclear power technology
table.insert (data.raw.technology["nuclear-power"].prerequisites, "advanced-power-generation") -- adds "advanced-power-generation" to prerequisites of power technology


-- new technology prototypes:
data:extend(
{
  {
    type = "technology",
    name = "advanced-power-generation",
    icon_size = 128,
    icon = "__base__/graphics/technology/electric-energy-distribution.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "steam-turbine"
      },
      -- {
        -- type = "unlock-recipe",
        -- recipe = "steam-boiler"
      -- },
    },
    unit =
    {
      count = 50,
      ingredients =
      {
        {"automation-science-pack", 1},
        -- {"logistic-science-pack", 1}
      },
      time = 5
    },
    -- prerequisites = {"advanced-power-generation", "advanced-material-processing"},
    order = "c-a"
  },
  {
    type = "technology",
    name = "advanced-power-generation-2",
    icon_size = 128,
    icon = "__base__/graphics/technology/electric-energy-distribution.png",
    effects =
    {
      -- {
        -- type = "unlock-recipe",
        -- recipe = "steam-turbine"
      -- },
      {
        type = "unlock-recipe",
        recipe = "steam-boiler"
      },
    },
    unit =
    {
      count = 50,
      ingredients =
      {
        {"automation-science-pack", 1},
        {"logistic-science-pack", 1}
      },
      time = 5
    },
    prerequisites = {"advanced-power-generation", "advanced-material-processing"},
    order = "c-b"
  },
}
)

-- new steam boiler:
local name = "steam-boiler"

local entity = table.deepcopy(data.raw.boiler["heat-exchanger"])
entity.name = name
entity.minable = {mining_time = 0.1, result = name}
entity.energy_source = table.deepcopy (data.raw.boiler.boiler.energy_source)

local item = table.deepcopy (data.raw.item["heat-exchanger"])
item.name = name
item.place_result = name

local recipe = table.deepcopy (data.raw.recipe["heat-exchanger"])
recipe.name = name
recipe.result = name

data:extend({entity, item, recipe})
